package com.mosty.base.enums;

import lombok.Getter;

/**
 * 布控类型
 */
@Getter
public enum BkTypeEnum {
    JTRL("静态人脸","5100"),
    ZPRL("抓拍人脸","5200"),
    BKRL("布控人脸","5300"),
    BKCP("布控车牌","7300"),
    ;

    private  String  value;
    private  String  name;

    private BkTypeEnum(String name, String value){
        this.name = name;
        this.value = value;
    }

    /**
     * 根据value转换成相关对应的枚举类型
     * @param value
     * @return
     */
    public static BkTypeEnum toValue(String value){
        for (BkTypeEnum _tmp : BkTypeEnum.values()){
            if(value.equals(_tmp.getValue())){
                return _tmp;
            }
        }
        return  null;
    }

}
